#include <bits/stdc++.h>

using namespace std;

const int maxN=100100;

long long n,m,rez=0,a[maxN];
long long p[maxN],np[maxN];

int main()
{
    scanf("%lld %lld",&n,&m);
    for(long long i=1;i<=n;i++)
        scanf("%lld",a+i);
    for(long long b=1;b<=m;b++)
    {
        long long i,j;
        scanf("%lld %lld", &i, &j);
        if(a[i] + a[j]>0)
            rez=rez+a[i]+a[j];
        else
            rez=rez-a[i]-a[j];
    }
    printf("%lld", rez);
    return 0;
}